//+------------------------------------------------------------------+
//|                                                    SellOrder.mq4 |
//|                                Copyright  2011, Forex-Robots.ru |
//|                                           http://Forex-Robots.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012 Mike Zhitnev"
#property link      "http://Forex-Robots.ru"
#property show_inputs
#include <stdlib.mqh>
#include <WinUser32.mqh>

extern double Lots = 0.1;
extern int StopLoss = 50;
extern int TakeProfit = 50;
extern int Slippage = 10;
extern int Magic = 5000;
string comment = "R2D2";

int SetValueX10(double Value)
  {
    if (Point==0.0001 || Point==0.00001)                    //  TP    4(5) 
      Value = MathRound(Value * 0.0001 / Point);   
    if (Point==0.01 || Point==0.001)                        //  TP    2(3) 
      Value = MathRound(Value * 0.01 / Point);            
    return (MathRound(Value));  
  }

//+------------------------------------------------------------------+
//|                                                           |
//+------------------------------------------------------------------+
int start()
  {  

   //Lots = NormalizeDouble( AccountBalance()*0.0001, 2);
   if(MessageBox("  "+DoubleToStr(Lots,2)+" () " +Symbol()+ " ?",
                 "",MB_YESNO|MB_ICONQUESTION)==IDYES)
    {
     RefreshRates();
     int Ticket = OrderSend(Symbol(), OP_SELL, Lots, NormalizeDouble(Bid,Digits), Slippage, 0, 0, comment, Magic, 0 ,Red);                                              
     if (Ticket==-1) 
     {
       Print(": " + GetLastError());
       return(0);
     }  
     OrderSelect(Ticket, SELECT_BY_TICKET);
     TakeProfit = SetValueX10( TakeProfit );
     StopLoss = SetValueX10( StopLoss );   
     double op = NormalizeDouble(OrderOpenPrice(),Digits);          
     double tp = NormalizeDouble(op - TakeProfit*Point,Digits);   
     if (TakeProfit==0) tp=0;   
     double sl = NormalizeDouble(op + StopLoss*Point,Digits);                              
     if (StopLoss==0) sl=0;              
     OrderModify(Ticket, op, sl, tp, 0, Yellow);
     Print(" : " + GetLastError());
    }
  return(0);
  }
//+------------------------------------------------------------------+